"""Make hidden and cancelled non-nullable

Revision ID: ddfd84fdd0dd
Revises: 83edccba298e
Create Date: 2018-09-19 17:22:09.177160

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "ddfd84fdd0dd"
down_revision = "83edccba298e"
branch_labels = None
depends_on = None


def upgrade():
    # Ensure no "null" values in table, set all to False
    for col_name in ["cancelled", "hidden"]:
        col = sa.column(col_name)
        op.execute(
            sa.table("people", col)
            .update()
            .values({col_name: False})
            .where(col.is_(None))
        )
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "people",
        "cancelled",
        existing_type=sa.BOOLEAN(),
        nullable=False,
        server_default="False",
    )
    op.alter_column(
        "people",
        "hidden",
        existing_type=sa.BOOLEAN(),
        nullable=False,
        server_default="False",
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column("people", "hidden", existing_type=sa.BOOLEAN(), nullable=True)
    op.alter_column("people", "cancelled", existing_type=sa.BOOLEAN(), nullable=True)
    # False used to be just empty, so revert all to null
    for col_name in ["cancelled", "hidden"]:
        col = sa.column(col_name)
        op.execute(
            sa.table("people", col)
            .update()
            .values({col_name: None})
            .where(col.is_(False))
        )
    # ### end Alembic commands ###
